<template>
    <button class="hover:bg-gray-500 text-lg text-gray-700 font-semibold hover:text-white py-2 px-8 border border-gray-500 hover:border-transparent rounded" @click="onClickButton">
        {{ buttonLabel }}
    </button>
</template>

<script>
export default {
    props: {
        buttonLabel: {
            required: true,
            type: String,
        },
    },
    methods: {
        onClickButton() {
            this.$emit('clicked', this.buttonLabel);
        },
    },
};
</script>
